# RPM packaging of the GNOME Shell extension Do Not Disturb Button

This package spec is for Do Not Disturb Button, which has its own GNOME Shell
[extension page](https://extensions.gnome.org/extension/964/do-not-disturb-button/)
and source code [repository](https://github.com/nls1729/acme-code).

Do Not Disturb Button provides a panel button to temporarily hide incoming
notifications in GNOME Shell. A count of notifications appears next to the panel
button, and notifications remain hidden in the notifications message tray, until
you choose to show and dismiss them. You can also assign a keyboard shortcut to
toggle the Do Not Disturb status.

(Do Not Disturb Button allows you to set the "available" or "busy" status for
desktop notifications only, not the status of chat or other applications
connected to GNOME's Online Accounts.)

**NOTE:** After installing, each user that wants it must still manually enable
Do Not Disturb Button before it will be usable. You can do so a few different
ways:

* If you've already installed the GNOME Shell integration web browser plugin,
	go to <https://extensions.gnome.org/local/>, find the extension, and click
	the switch to "ON."
* Open GNOME Tweak Tool, go to the Extensions tab, find the extension, and click
	the switch to "ON."
* Open a terminal or the desktop's command dialog, and (as your normal user
	account) run `gnome-shell-extension-tool --enable donotdisturb-button@nls1729`

You may also need to restart GNOME Shell (Open the command dialog with Alt-F2,
type `r`, and hit enter), or log out and log back in.



## Bug reports and feature requests

Report any issues with Do Not Disturb Button itself on the project's
[GitHub](https://github.com/nls1729/acme-code/issues).

Report issues specific to this package on the
[Red Hat Bugzilla](https://bugzilla.redhat.com/buglist.cgi?product=Fedora&component=gnome-shell-extension-do-not-disturb-button).



## License

Everything specific to this repository uses the MIT License.

Do Not Disturb Button itself uses the GNU GPL version 2.
